For the complete documentation index, see llms.txt. This page is also available as Markdown.

Inference Instances

Get Inference models

This endpoint allows you to view available AI models for deployment, aiding in selecting the right model for your needs.

Check model features to match your specific project requirements.

get
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
200Success
application/json
idstringRequiredExample: 12ed7523-432c-48f5-b3cd-32e6726d07c8
namestringRequiredExample: stable-diffusion
portnumberRequiredExample: 8000
defaultHardwareIdstringRequiredExample: 59651ba4-657a-41d4-8c42-00f34f732375
get/ai-inference/models
200Success

Get inference hardware

You have several hardware options available through the AI inference feature of Sesterce Cloud (you can consult this section for more information). This endpoint allows you to explore options for deploying AI instances, which are crucial for planning resources and manage latency rate.

Evaluate hardware capabilities to ensure optimal performance for your AI tasks.

get
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
200Success
application/json
idstringRequiredExample: 59651ba4-657a-41d4-8c42-00f34f732375
namestringRequiredExample: 1xL40S / 16 vCPU / 232GiB RAM
cpunumberRequiredExample: 16000
ramnumberRequiredExample: 237568
get/ai-inference/hardwares
200Success

Get Regions available for inference instances

Identify available regions for deploying AI instances, important for compliance and latency considerations.

The region choice is a crucial parameter for your inference endpoint hosting. It will determine the latency rate for your final end-users. Choose regions that align with your data residency and latency needs.

get
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
200Success
application/json
idnumberRequiredExample: 18
namestringRequiredExample: Singapore
countryCodestringRequiredExample: SG
statestring ยท enumRequiredExample: ACTIVEPossible values:
get/ai-inference/regions
200Success

Create a Registry

A registry is necessary if you need to infere your own custom model, which is not publicly available. Click here to learn more about Registries on Sesterce Cloud AI Inference service!

post
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Body
urlstringRequiredExample: docker.io/library/user/image:tag
usernamestringRequiredExample: someusername
passwordstringRequiredExample: securepassword
namestringRequiredExample: example-registry
Responses
201Success
application/json
_idstringRequiredExample: 6721058be81810b9dd045f40
namestringRequiredExample: example-registry
urlstringRequiredExample: docker.io/library/user/image:tag
usernamestringRequiredExample: someusername
createdAtstringRequiredExample: 2019-06-26T13:00:00.000Z
updatedAtstringRequiredExample: 2019-06-26T13:00:00.000Z
post/ai-inference/registries
201Success

Get the list of registries created

To manage your registries for storing and accessing AI models, use the following endpoint:

get
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
200Success
application/json
_idstringRequiredExample: 6721058be81810b9dd045f40
namestringRequiredExample: example-registry
urlstringRequiredExample: docker.io/library/user/image:tag
createdAtstringRequiredExample: 2019-06-26T13:00:00.000Z
updatedAtstringRequiredExample: 2019-06-26T13:00:00.000Z
get/ai-inference/registries
200Success

Update a registry

To modify registry details to ensure they meet current security and access needs, use the following endpoint:

patch
Path parameters
idstringRequired
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Body
urlstringRequiredExample: docker.io/library/user/image:tag
usernamestringRequiredExample: someusername
passwordstringRequiredExample: securepassword
Responses
204

Registry successfully updated.

No content

patch/ai-inference/registries/{id}

No content

Delete a Registry

The following endpoint allows to remove outdated or unused registries to maintain a clean environment.

delete
Path parameters
idstringRequired
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
204

Registry successfully deleted.

No content

delete/ai-inference/registries/{id}

No content

Create an inference instance

Time has come! You can now deploy a new AI inference instance to scale your applications and services, or deploy in production an existing model! Use the following endpoint to perform this action.

post
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Body
modelIdstring ยท nullableRequiredExample: 201a99c3-7cd4-4831-865e-b261082fda4b
containerPortnumberRequiredExample: 80
namestringRequiredExample: example-inference-instance
descriptionstring ยท nullableRequiredExample: example description.
podLifetimenumber ยท nullableRequiredExample: 120
envsobject ยท nullableRequiredExample: {"PORT":"3333"}
hardwareIdstringRequiredExample: 59651ba4-657a-41d4-8c42-00f34f732375
startupCommandstring ยท nullableRequiredExample: npx create-llama
registryIdstring ยท nullableRequiredExample: 6721058be81810b9dd045f40
apiKeyIdsstring[] ยท nullableRequiredExample: ["6721058be81810b9dd045f40"]
Responses
201Success
application/json
_idstringRequiredExample: 6721058be81810b9dd045f40
namestringRequiredExample: example-inference-instance
statusstring ยท enumRequiredExample: ACTIVEPossible values:
hourlyPricenumberRequiredExample: 2.55
addressstringRequiredExample: https://iate-example-6672-d7c85154.ai.sesterce.dev/
createdAtstringRequiredExample: 2019-06-26T13:00:00.000Z
updatedAtstringRequiredExample: 2019-06-26T13:00:00.000Z
post/ai-inference/instances

Start an inference instance

This endpoint allows you to activate an AI inference instance to begin processing tasks and data.

You can monitor startup times to assess performance efficiency.

post
Path parameters
idstringRequired
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
204

Inference instance successfully started

No content

post/ai-inference/instances/{id}/start

No content

Get the list of your Inference instances

Here is the endpoint to monitor your active AI instances to manage resources and performance.

get
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
200Success
application/json
_idstringRequiredExample: 6721058be81810b9dd045f40
namestringRequiredExample: example-inference-instance
statusstring ยท enumRequiredExample: ACTIVEPossible values:
hourlyPricenumberRequiredExample: 2.55
addressstringRequiredExample: https://iate-example-6672-d7c85154.ai.sesterce.dev/
createdAtstringRequiredExample: 2019-06-26T13:00:00.000Z
updatedAtstringRequiredExample: 2019-06-26T13:00:00.000Z
get/ai-inference/instances
200Success

Get details about a specific Inference Instance

Retrieve detailed information about a specific AI instance for management and troubleshooting.

get
Path parameters
idstringRequired
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
200Success
application/json
_idstringRequiredExample: 6721058be81810b9dd045f40
namestringRequiredExample: example-inference-instance
statusstring ยท enumRequiredExample: ACTIVEPossible values:
hourlyPricenumberRequiredExample: 2.55
addressstringRequiredExample: https://iate-example-6672-d7c85154.ai.sesterce.dev/
containerPortnumberRequiredExample: 80
descriptionstring ยท nullableRequiredExample: some description
podLifetimenumberRequiredExample: 120
hardwareIdstringRequiredExample: 59651ba4-657a-41d4-8c42-00f34f732375
envsobjectRequiredExample: {"PORT":"3333"}
startupCommandstring ยท nullableRequiredExample: npx create-llama
apiKeysIdsstring[]RequiredExample: ["6721058be81810b9dd045f40"]
createdAtstringRequiredExample: 2019-06-26T13:00:00.000Z
updatedAtstringRequiredExample: 2019-06-26T13:00:00.000Z
get/ai-inference/instances/{id}

Preview AI instance pricing

This endpoints allows you to estimate costs for your running AI instances, helping in budget planning.

Sesterce Cloud AI inference service is based on an unlimited-token pricing. This means you are charged for a global hour price, whatever the use of your dedicated endpoint.

post
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Body
hardwareIdstringRequiredExample: 59651ba4-657a-41d4-8c42-00f34f732375
Responses
201Success
application/json
currencyCodestringRequiredExample: USD
pricePerHournumberRequiredExample: 1.44
pricePerMonthnumberRequiredExample: 43.2
post/ai-inference/instances/pricing
201Success

Update an inference instance

This endpoint allows you to modify existing AI instances to adapt to changing project needs. This is particularly useful is you need to update your hardware flavor and/or autoscaling limits according to the use of your dedicated endpoint :

patch
Path parameters
idstringRequired
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Body
modelIdstring ยท nullableRequiredExample: 201a99c3-7cd4-4831-865e-b261082fda4b
containerPortnumberRequiredExample: 80
descriptionstring ยท nullableRequiredExample: example description.
podLifetimenumber ยท nullableRequiredExample: 120
envsobject ยท nullableRequiredExample: {"PORT":"3333"}
hardwareIdstringRequiredExample: 59651ba4-657a-41d4-8c42-00f34f732375
startupCommandstring ยท nullableRequiredExample: npx create-llama
registryIdstring ยท nullableRequiredExample: 6721058be81810b9dd045f40
apiKeyIdsstring[] ยท nullableRequiredExample: ["6721058be81810b9dd045f40"]
Responses
200Success
application/json
_idstringRequiredExample: 6721058be81810b9dd045f40
namestringRequiredExample: example-inference-instance
statusstring ยท enumRequiredExample: ACTIVEPossible values:
hourlyPricenumberRequiredExample: 2.55
addressstringRequiredExample: https://iate-example-6672-d7c85154.ai.sesterce.dev/
createdAtstringRequiredExample: 2019-06-26T13:00:00.000Z
updatedAtstringRequiredExample: 2019-06-26T13:00:00.000Z
patch/ai-inference/instances/{id}

Stop an inference instance

If you need to pause an AI instance to conserve resources and manage costs, use the following endpoint:

post
Path parameters
idstringRequired
Header parameters
x-api-keystringRequired

The API Key secret should be sent through this header to authenticate the request.

Responses
204

Inference instance successfully stopped

No content

post/ai-inference/instances/{id}/stop

No content

Last updated